RK-J - Task #3138

Enable changing server name by making change in one place
07/19/2023 02:02 PM - Ram Kordale

Status: Review Start date: 07/19/2023
Priority: High Due date: 07/21/2023
Assignee: Ayush Khandelwal % Done: 100%
Category: Estimated time: 1.00 hour
Target version: 1-RK-J-1 Spent time: 1.25 hour
Description

Today, to create extension that works with Dev or Prod, we have to change the server name in multiple places in 2 files.

Please change code so that we can make the change in one place instead.

History

#1 - 07/19/2023 02:30 PM - Ayush Khandelwal
- Due date set to 07/21/2023
- Assignee changed from Ayush Khandelwal to Ayanava Karmakar

- Estimated time set to 1.00 h

#2 - 07/19/2023 02:32 PM - Ayush Khandelwal

Place the domain name as a constant at one place & use that constant everywhere. Suppose in the current extension, every server url in the script
file points to the QA server i.e. https:/edutestga.appspot.com

Let's make a constant for this at one place from we can manage and use it everywhere.

#3 - 07/20/2023 06:50 AM - Ayanava Karmakar

- Status changed from New to In Progress

#4 - 07/20/2023 12:26 PM - Ayanava Karmakar
- % Done changed from 0 to 50

#5 - 07/20/2023 12:47 PM - Ayanava Karmakar
- Status changed from In Progress to Resolved
- Assignee changed from Ayanava Karmakar to Ayush Khandelwal

- % Done changed from 50 to 100

#6 - 07/20/2023 12:48 PM - Ayanava Karmakar

- Status changed from Resolved to Review

#7 - 07/20/2023 01:06 PM - Ayanava Karmakar

Review Point: create a new file called config.js, and declare the domain name there only, so that we can use that constant in other files too

#8 - 07/20/2023 01:06 PM - Ayanava Karmakar
- Status changed from Review to Reopened

- Assignee changed from Ayush Khandelwal to Ayanava Karmakar

#9 - 07/20/2023 01:10 PM - Ayanava Karmakar

- Status changed from Reopened to In Progress

#10 - 07/20/2023 01:10 PM - Ayanava Karmakar

- Status changed from In Progress to Resolved

#11 - 07/20/2023 01:10 PM - Ayanava Karmakar
https://edutestqa.appspot.com

- Status changed from Resolved to Review

- Assignee changed from Ayanava Karmakar to Ayush Khandelwal
